using System.Numerics;
using Frontend.Assets;
using Nethereum.Web3;

namespace Frontend.Marketplaces.Interfaces
{
    public interface IPotatoMarketPlace
    {
        public Task<double> EthPriceInChf { get; }
        public Task<double> PotatoKgPriceInChf { get; }
        public Task<double> PotatoKgPriceInEth { get; }
        public Task<bool> Approve(Web3 approverClient, BigInteger amount);
        public Task<PotatoTransaction?> Buy(string ownerAddress);
        public Task<bool> Sell(PotatoTransaction transaction, string receiverAddress);
    }
}
